Subject: yucca or yukka?
From: [email-masked] (A.J. HUGHES)
Date: Sat, 25 Jun 1994 15:03:25 GMT
Newsgroups: bionet.plants

Does anyone have any information about the yucca (or is it spelt yukka?) 
plant? I've recently bought one. It doesn't seem to need much water?

Also does anyone know anything about cactii? I bought a cactus with a flower 
on it but the flower seemed to be stuck on with glue! Which cactii flower?

thanks

Alex Hughes